%define Werror_cflags %nil

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Print dialog and printer manager for Xfce
Name:		xfprint
Version:	4.6.0
Release:	%mkrel 7
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	glib2-devel >= 2.0.6
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	xfconf-devel >= %{version}
BuildRequires:	a2ps
BuildRequires:	%{_lib}cups2-devel
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
Requires:	a2ps
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
The printing helper is a graphical frontend for printing,
a printer management, and a job queue management. It doesn't
let you configure printers but only use printing systems that
have already been configured properly.

%package -n %{libname}
Summary:	Libraries for the Xfce Printer Manager
Group:		System/Libraries

%description -n %{libname}
Libraries for the Xfce Printer Manager.

%package -n %{develname}
Summary:	Libraries and header files for the Xfce Printer Manager
Group:		Development/Libraries
Requires:	%{_lib}xfprint0
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%mklibname %{name} 0 -d
Obsoletes:	%mklibname %{name} 0 -d

%description -n %{develname}
Libraries and header files for the Xfce Printer Manager.

%prep
%setup -q

%configure2_5x \
	--disable-letter \
	--enable-cups \
	--disable-static

%install
rm -rf %{buildroot}
%makeinstall_std

# disable rpath
chrpath -d %{buildroot}/%{_libdir}/xfce4/xfprint-plugins/*.so

rm -f $RPM_BUILD_ROOT%{_libdir}/libxfprint.*a

%find_lang %{name}


%clean
rm -rf %{buildroot}



%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/xfce4/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*
%{_datadir}/xfce4/doc/*
%{_datadir}/gtk-doc/html/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/xfprint-1.0.pc
%{_libdir}/libxfprint.so
%dir %{_includedir}/xfce4/libxfprint
%{_includedir}/xfce4/libxfprint/*


%changelog
* Mon Dec 02 2013 billybot <billybot> 4.6.0-7pclos2013
- rebuild
- remove .la files

* Sat Apr 20 2013 Texstar <texstar at gmail.com>4.6.0-6pclos2013
- fix broken dependency

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 4.6.0-5pclos2012
- 64bit

* Fri Aug 31 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 4.6.0-5pclos2012
- rebuild against new libxfcegui
- added xz compression
- added %{_lib} macros

* Fri Dec 25 2009 <texstar at gmail.com> 4.6.0-4pclos2010
- rebuild

* Thu Oct 08 2009 Neal <nealbrks0@gmail.com> 
- gcc update

* Fri Sep 24 2009 Texstar <texstar at gmail.com>
- update and rebuild to fix dependency

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com>
- create
